Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 624731 - display 'freeze' on full-screening of flash video (Arrandale)
display 'freeze' on full-screening of flash video (Arrandale)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 11:31 EDT by Bill Nottingham
Modified: 2014-03-16 23:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 12:57:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (57.54 KB, text/plain)
2010-08-17 11:32 EDT, Bill Nottingham
no flags Details
X log (88.56 KB, text/plain)
2010-08-17 11:32 EDT, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2010-08-17 11:31:31 EDT
Description of problem:

Oftentimes (15%? 20%?) when I set a flash video to 'fullscreen' mode, the display freezes.

The cursor still moves and updates, and keyboard input is still accepted. Workspace switch hotkeys, etc. are still processed, and if the cursor ends
up over a terminal, I can type commands blindly into it. But the display is not updated.

Running:

'xrandr --output LVDS1 --off ; xrandr --output LVDS1 --auto'

brings the display back.

If I do a backtrace of the server when it's in this state, all I get is:

82      T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
Missing separate debuginfos, use: debuginfo-install expat-2.0.1-10.fc13.x86_64 libfontenc-1.0.5-2.fc12.x86_64 libgcc-4.4.4-10.fc13.x86_64 xorg-x11-drv-evdev-2.4.0-2.fc13.x86_64
(gdb) bt
#0  0x00000039782da023 in __select_nocancel () at ../sysdeps/unix/syscall-template.S:82
#1  0x000000000045c0aa in WaitForSomething (pClientsReady=0x342d180) at WaitFor.c:229
#2  0x0000000000435eb2 in Dispatch () at dispatch.c:375
#3  0x000000000042189a in main (argc=<value optimized out>, argv=0x7fff58ae6798, envp=<value optimized out>) at main.c:286

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.8.2-3.fc13.x86_64
xorg-x11-drv-intel-2.11.0-5.fc13.x86_64
mesa-libGL-7.8.1-8.fc13.x86_64

How reproducible:

15-20%

Steps to Reproduce:
1. Go to youtube
2. Watch something
3. Hit the 'fullscreen' button
  
Actual results:

Occasionally, the display freezes and will not update unless you bounce the monitor with xrandr.

Additional info:

This is not a particularly new bug. It happened in F12 too.
Comment 1 Bill Nottingham 2010-08-17 11:32:18 EDT
Created attachment 439139 [details]
dmesg
Comment 2 Bill Nottingham 2010-08-17 11:32:49 EDT
Created attachment 439140 [details]
X log
Comment 3 Ivan Stojmirov 2010-11-10 04:23:58 EST
I can reproduce this with 100% of the attempts on Fedora 14.
Comment 4 Bill Nottingham 2010-11-10 15:17:46 EST
I see it occasionally on F-15 as well.
Comment 5 Samuel Sieb 2011-11-29 01:17:29 EST
This appears to finally be fixed in F16.
Comment 6 Bill Nottingham 2011-11-29 11:58:07 EST
Yes, I haven't seen this in a while. (Watch it come back now!)
Comment 7 Fedora End Of Life 2012-08-16 12:57:11 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.